package util

import (
	"fmt"
)

// func InputTerminal(name string) string {

// 	fmt.Print(name + ": ")
// 	reader := bufio.NewReader(os.Stdin)
// 	ret, _ := reader.ReadString('\n')
// 	splitedSlice := strings.Split(ret, " ")

// 	if len(splitedSlice) == 1 {
// 		splSlice2 := strings.Split(splitedSlice[0], "\n")
// 		ret = splSlice2[0]
// 	} else {
// 		ret = splitedSlice[0]
// 	}

// 	retB := []byte(ret)
// 	fmt.Print(fmt.Sprintf("%s", retB[len(retB):]))
// 	if fmt.Sprintf("%s", retB[len(retB):]) == "[13]" {
// 		ret = fmt.Sprintf("%s", retB[:len(retB)-1])
// 	}
// 	fmt.Printf("%d\n", []byte(ret))
// 	return ret
// }

func InputTerminal(name string) string {
	var ret string
	fmt.Print(name + ": ")
	fmt.Scanln(&ret)
	return ret
}

func InputTerminalStr(name string) string {
	var ret string
	var tmp string
	fmt.Print(name + ": ")
	fmt.Scanf("%s", &ret)
	fmt.Scanln(&tmp)
	return ret
}

func InputTerminalInt(name string) int {
	var ret int
	var tmp string
	fmt.Print(name + ": ")
	fmt.Scanf("%d", &ret)
	fmt.Scanln(&tmp)
	return ret
}
